<?php

?>

<script src="https://cdn.directpay.lk/v3/directpayipg.min.js"></script>
<br/><br/>

<script type="text/javascript">
    let errMsg = '';
    let trnMsg = '';
    sessionStorage.setItem("dp_msg", null);
    jQuery(function () {
        jQuery("body").block({
            message: "Thanks for your order! Please wait for payment page.",
            overlayCSS: {
                background: "#fff",
                opacity: 0.8
            },
            css: {
                padding: 20,
                textAlign: "center",
                color: "#333",
                border: "1px solid #eee",
                backgroundColor: "#fff",
                cursor: "wait",
                lineHeight: "32px"
            }
        });

        setLog('Payment Initialize.')

        var dp = new DirectPayIpg.Init({
            signature: "<?php echo($signature) ?>",
            dataString: "<?php echo($dataString) ?>",
            stage: "<?php echo($stage) ?>"
        });

        dp.doInAppCheckout().then((data) => {
            //console.log("client-res", JSON.stringify(data));
            trnMsg = data.transaction
            if (data.transaction.status ==='SUCCESS'){
                sessionStorage.setItem('dp_msg', data.transaction.status)
            }else {
                sessionStorage.setItem('dp_msg', data.transaction.status+' - '+data.transaction.description)
            }

            setLog(JSON.stringify(trnMsg), true)
        }).catch(error => {
            //console.log("client-error", JSON.stringify(error));
            if(error.data.message !== undefined){
                errMsg = error.data.message;
            } else {
                errMsg = '';
            }

            sessionStorage.setItem('dp_msg', 'Failed '+errMsg)
            setLog(errMsg, true)
            //alert("An error occured while making the payment. Error:\n" + error.data.message);
        });

        function setLog(note, redirect = false) {
            jQuery.ajax({
                url: '<?php echo admin_url('admin-ajax.php') ?>',
                type: 'POST',
                dataType: 'JSON',
                data: {
                    action: 'directPayV3_client_note',
                    note: note,
                    order_id: <?php  echo $order->get_id() ?>
                },
                success: function (data) {
                    if (redirect) {
                        jQuery("body").block({
                            message: "Please wait, Redirecting...",
                            overlayCSS: {
                                background: "#fff",
                                opacity: 0.8
                            },
                            css: {
                                padding: 20,
                                textAlign: "center",
                                color: "#333",
                                border: "1px solid #eee",
                                backgroundColor: "#fff",
                                cursor: "wait",
                                lineHeight: "32px"
                            }
                        });

                        setTimeout(function () {
                            location.href = "<?php echo $redirect_url ?>"
                        }, 1500);
                    }
                }
            });
        }

    });
</script>


